import React, { PureComponent } from 'react';
import ReactDOM from 'react-dom';
import { message } from 'antd';

import CustIcon from './index.js';

export default class DemoCustIcon extends PureComponent {
  render() {
    function Icons() {
      return (
        <div>
          默认：<CustIcon type="icon-gouwuche" status={0} onClick={() => message.info("添加购物车")} /><br />
          激活：<CustIcon type="icon-gouwuche" status={1} onClick={() => message.info("取消添加购物车")} /><br />
          禁用：<CustIcon type="icon-gouwuche" status={-1} onClick={() => message.warning("已禁用")}  /><br />
        </div>
      );
    }
    return (
      <Icons />
    );
  }
}
